Package Gnumed :: Package business :: Module gmExportArea :: Class cExportArea |
[frames] | no frames]

# Class cExportArea

source code

    object --+
             |
            cExportArea

Instance Methods
__init__(self, pk_identity) x.__init__(...) initializes x; see help(type(x)) for signature | source code
add_form(self, form=None, designation=None) | source code
add_forms(self, forms=None, designation=None) | source code
add_path(self, path, comment=None) Add a DIR entry to the export area. | source code
path_item_exists(self, path_item_data) | source code
add_file(self, filename=None, hint=None) | source code
add_files(self, filenames=None, hint=None) | source code
add_documents(self, documents=None) | source code
document_part_item_exists(self, pk_part=None) | source code
md5_exists(self, md5=None, include_document_parts=False) | source code
remove_item(self, item) | source code
dump_items_to_disk(self, base_dir=None, items=None, passphrase=None) | source code
dump_items_to_disk_as_zip(self, base_dir=None, items=None, passphrase=None) | source code
export(self, base_dir=None, items=None, passphrase=None) | source code
export_as_zip(self, base_dir=None, items=None, passphrase=None) | source code
get_items(self, designation=None, order_by='designation, description') | source code
get_printouts(self, order_by='designation, description') | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| items = `property(get_items, lambda x: x)`
| printouts = `property(get_printouts, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, pk_identity) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### add_path(self, path, comment=None) | source code
Add a DIR entry to the export area. This sort of entry points to a certain directory on a certain machine. The content of the the directory will be included in exports, the directory *itself* will not. For *that*, use a disposable top-level directory into which you put the directory to include as a subdirectory.